Scala Reflection Library2.12.2-20170504-135222-21d12e9 < Back
 

# Packages

-  package root
  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package reflect
  Definition Classes
    scala
-  package runtime

  Entry points into runtime reflection.

  Entry points into runtime reflection. See the overview page for details on how to use them.

  Definition Classes
    reflect
-  object ReflectionUtils

  A few java-reflection oriented utility functions useful during reflection bootstrapping.

  A few java-reflection oriented utility functions useful during reflection bootstrapping.

  Definition Classes
    runtime
- EnclosedIn
- EnclosedInClass
- EnclosedInConstructor
- EnclosedInMethod
- EnclosedInPackage
- PrimitiveOrArray

c

scala.reflect.runtime.ReflectionUtils

# EnclosedIn 

###

#### class EnclosedIn[T] extends AnyRef

Source
  ReflectionUtils.scala

Linear Supertypes
AnyRef, Any
Known Subclasses
EnclosedInClass, EnclosedInConstructor, EnclosedInMethod, EnclosedInPackage
Type Hierarchy
 
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. EnclosedIn
2. AnyRef
3. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1.  new EnclosedIn(enclosure: (Class[_]) ⇒ T)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from EnclosedIn[T] to any2stringadd[EnclosedIn[T]] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (EnclosedIn[T], B)
   Implicit
     This member is added by an implicit conversion from EnclosedIn[T] to ArrowAssoc[EnclosedIn[T]] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )
8.  def ensuring(cond: (EnclosedIn[T]) ⇒ Boolean, msg: ⇒ Any): EnclosedIn[T]
   Implicit
     This member is added by an implicit conversion from EnclosedIn[T] to Ensuring[EnclosedIn[T]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
9.  def ensuring(cond: (EnclosedIn[T]) ⇒ Boolean): EnclosedIn[T]
   Implicit
     This member is added by an implicit conversion from EnclosedIn[T] to Ensuring[EnclosedIn[T]] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring
10.  def ensuring(cond: Boolean, msg: ⇒ Any): EnclosedIn[T]
    Implicit
      This member is added by an implicit conversion from EnclosedIn[T] to Ensuring[EnclosedIn[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
11.  def ensuring(cond: Boolean): EnclosedIn[T]
    Implicit
      This member is added by an implicit conversion from EnclosedIn[T] to Ensuring[EnclosedIn[T]] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
13.  def equals(arg0: Any): Boolean
    Definition Classes
      AnyRef → Any
14.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )
15.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from EnclosedIn[T] to StringFormat[EnclosedIn[T]] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
16.  final def getClass(): Class[_]
    Definition Classes
      AnyRef → Any
17.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
18.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
19.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  final def notify(): Unit
    Definition Classes
      AnyRef
21.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
22.  final def synchronized[T0](arg0: ⇒ T0): T0
    Definition Classes
      AnyRef
23.  def toString(): String
    Definition Classes
      AnyRef → Any
24.  def unapply(jclazz: Class[_]): Option[T]
25.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
26.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
27.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )
28.  def →[B](y: B): (EnclosedIn[T], B)
    Implicit
      This member is added by an implicit conversion from EnclosedIn[T] to ArrowAssoc[EnclosedIn[T]] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd from EnclosedIn[T] to any2stringadd[EnclosedIn[T]]

### Inherited by implicit conversion StringFormat from EnclosedIn[T] to StringFormat[EnclosedIn[T]]

### Inherited by implicit conversion Ensuring from EnclosedIn[T] to Ensuring[EnclosedIn[T]]

### Inherited by implicit conversion ArrowAssoc from EnclosedIn[T] to ArrowAssoc[EnclosedIn[T]]

### Ungrouped